Skip to main content

Discover and register a storage device as a system in NetApp Console local deployment

POST /v1/organizations/{organizationId}/fleets/{fleetId}/workingenvironments

Discovers and registers a storage device as a system in the specified organization and fleet. Use stateDesired to control the behavior:

  • VALIDATED: Only validates the storage device without registration. Returns 204 with no content.

  • REGISTERED: Validates and registers the storage device. Returns 201 with system details.

Parameters

Name Type In Required Description

organizationId

string

path

True

Organization ID

  • example: 3fa85f64-5717-4562-b3fc-2c963f66afa6

fleetId

string

path

True

Fleet ID

  • example: 3fa85f64-5717-4562-b3fc-2c963f66afa6

Request Body

Name Type Required Description

fleetId

string

False

Optional Fleet ID to associate with the discovered storage device.

ip

string

True

Storage device IP from user input.

password

string

True

Storage device password.

stateDesired

string

True

Desired state for the system. VALIDATED only validates the storage device without registering. REGISTERED validates and registers the storage device.

type

string

False

Type of the system.

username

string

True

Storage device username.

Example request
{
  "ip": "10.193.96.173",
  "password": "password123",
  "stateDesired": "REGISTERED",
  "type": "ON_PREM",
  "username": "admin"
}

Response

Status: 201, System discovered and registered successfully (when stateDesired is REGISTERED).
Name Type Required Description

aff

boolean

True

Indicates whether the system is AFF (All Flash FAS).

id

string

False

Unique identifier for the system.

name

string

True

Name of the system.

type

string

True

Location type of the cluster.

workingEnvironmentId

string

True

Unique identifier for the discovered system, which might differ from the internal ID used by the system. This is the ID that will be used in API calls to reference this system.

Example response
{
  "aff": false,
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "onprem-cluster-01",
  "type": "ON_PREM",
  "workingEnvironmentId": "OnPremWorkingEnvironment-3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Response

Status: 204, Cluster validated successfully. no content returned (when statedesired is validated).

Response

Status: 401, Unauthorized access
Example response
{
  "detail": "Invalid or missing bearer token",
  "status": "401",
  "title": "Unauthorized",
  "type": "https://bluexp.netapp.io/problems/401"
}

Response

Status: 403, Forbidden request
Example response
{
  "detail": "Request forbidden. Insufficient permissions.",
  "status": "403",
  "title": "Forbidden",
  "type": "https://bluexp.netapp.io/problems/403"
}

Error

Status: 400, Bad request
Example error response
{
  "detail": "Timeout reached while trying to connect to cluster at 10.10.10.100",
  "status": "400",
  "title": "Connection Timeout",
  "type": "https://bluexp.netapp.io/problems/400"
}